LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Exported Interfaces | List of all members
SpreadsheetViewPanesEnumeration Service Referencepublished

represents an enumeration of spreadsheet view panes. More...

`import"SpreadsheetViewPanesEnumeration.idl";`

Inheritance diagram for SpreadsheetViewPanesEnumeration:

## Exported Interfaces
interface | com::sun::star::container::XEnumeration
| provides methods to access the spreadsheet view panes in the enumeration. More...

## Additional Inherited Members
Public Member Functions inherited from XEnumeration
boolean | hasMoreElements ()
| tests whether this enumeration contains more elements. More...
any | nextElement () raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents an enumeration of spreadsheet view panes.

See Also
  com::sun::star::sheet::SpreadsheetViewPane

## Exported Interfaces

interface com::sun::star::container::XEnumeration

provides methods to access the spreadsheet view panes in the enumeration.

See Also
  com::sun::star::sheet::SpreadsheetViewPane

The documentation for this service was generated from the following file:

- com/sun/star/sheet/SpreadsheetViewPanesEnumeration.idl